Capture Reserve Funds

Use this API to finalise the payment, capture the pre-authorised funds

Submit transfer request for nominated funds against prior funds reservation. Requires Revenue Assurance & Risk Assessment.

This interface could only be accessed by the Optus host. All other access will be blocked. IP whitelisting will ensure only traffic from Optus could access this endpoint.

The interface provided is an HTTP POST request and JSON response.

HTTP Request

POST https://<env>/v1/reservations/reservationId/captures

Path parameters

NameTypeMandatoryDescriptionComment
reservationIdstringyesThe unique identifier of the funds reservationThe id in the response of pre-authorisation(Reservation) request

Request body

NameTypeMandatoryDescriptionComment
amountnumberyesThe value of the funds to be debited from the payment card
riskRiskyesInformation to enable risk assessment process.Refer Risk Object
requestorstringyesWho requested the funds' capturephone number, employee number etc.

Request headers

ParameterMandatoryDescription
Content-Typeyesapplication/json
Acceptyesapplication/json
AuthorizationyesBearer Access-admin-oauth-token (Refer Authentication)
User-AgentyesAll requests must include information about the Merchant, Platform, Channel and Service. For example Merchant/Cdil; Platform/Merchant-backend; MerchantId/ABC123; Channel/autopayment; CountryCode/AU; System Information/Java/8.3; Service/Auto-recharge
Request-Idyesunique identifier for capture reserved funds request provided by the merchant

Sample Example

curl -v -X POST https://<env>/v1/reservations/8a829417572279ad015732d66cb427b6/captures \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer c92b326fff28aba21821349c3ef411e" \
-H "User-Agent: Merchant/ABC; Platform/Digital; MerchantId/ABC123; Channel/web; CountryCode/AU System Information/Java/8.3; Service/Shop" \
-H "Request-Id: 84c30ae966af4975984c38985bc2" \
-d '{
  "amount": 100.5,
  "risk": {...},
  "requestor": "61402223333"
}'

Response body

A successful request returns the 201 Created status code and a JSON response body.

NameTypeMandatoryDescriptionComment
idstringyesUniquely identifies each capture attempt. This is generated by the APT
receiptIdstringnoIdentifier for the payment successful capturedReceipt Id of the capture transaction
amountnumberyesThe value of the funds to be debited from the payment card
requestorstringyesWho requested the funds capturephone number, employee number etc.

Sample Example

Status: 200 OK
{
  "id": "13e753e2e4a4b2f692b573e5fbe98b7b5523586a",
  "receiptId": "8a82944a4cc25ebf014cc2c782423202",
  "amount": 100.5,
  "requestor": "61402223333"
}
Path Params
string
required

The unique identifier of the funds reservation; the id in the response of pre-authorisation(Reservation) request

Body Params
string
required

The value of the funds to be debited from the payment card

string
required

Information to enable risk assessment process.

string
required

Who requested the funds' capture

Headers
string
required

Bearer

string
required

All requests must include information about the Merchant, Platform, Channel and Service.

string
required

unique identifier for capture reserved funds request provided by the merchant

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json